<?php
/**
 * Blog Single Options.
 *
 * @package Dhor
 */

// Blog Single Section.
$wp_customize->add_section( 'section_blog_single',
	array(
		'title'      => esc_html__( 'Blog Detail (Single Post)', 'dhor' ),
		'priority'   => 100,
		'panel'      => 'theme_option_panel',
	)
);

// Setting show_date_single.
$wp_customize->add_setting( 'theme_options[show_date_single]',
	array(
		'default'           => $default['show_date_single'],
		'sanitize_callback' => 'dhor_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_date_single]',
	array(
		'label'    			=> esc_html__( 'Show Date', 'dhor' ),
		'section'  			=> 'section_blog_single',
		'type'     			=> 'checkbox',
		'priority' 			=> 100,
	)
);

// Setting show_author_single.
$wp_customize->add_setting( 'theme_options[show_author_single]',
	array(
		'default'           => $default['show_author_single'],
		'sanitize_callback' => 'dhor_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_author_single]',
	array(
		'label'    			=> esc_html__( 'Show Author', 'dhor' ),
		'section'  			=> 'section_blog_single',
		'type'     			=> 'checkbox',
		'priority' 			=> 100,
	)
);

// Setting show_categories_single.
$wp_customize->add_setting( 'theme_options[show_categories_single]',
	array(
		'default'           => $default['show_categories_single'],
		'sanitize_callback' => 'dhor_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_categories_single]',
	array(
		'label'    			=> esc_html__( 'Show Categories', 'dhor' ),
		'section'  			=> 'section_blog_single',
		'type'     			=> 'checkbox',
		'priority' 			=> 100,
	)
);

// Setting show_tags_single.
$wp_customize->add_setting( 'theme_options[show_tags_single]',
	array(
		'default'           => $default['show_tags_single'],
		'sanitize_callback' => 'dhor_sanitize_checkbox',
	)
);
$wp_customize->add_control( 'theme_options[show_tags_single]',
	array(
		'label'    			=> esc_html__( 'Show Tags', 'dhor' ),
		'section'  			=> 'section_blog_single',
		'type'     			=> 'checkbox',
		'priority' 			=> 100,
	)
);
