<?php
/**
 * Template part for displaying hero content
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dhor
 */

$banner_image = dhor_get_option( 'banner_image' );
$banner_heading = dhor_get_option( 'banner_heading' );
$banner_content = dhor_get_option( 'banner_content' );
$banner_button = dhor_get_option( 'banner_button' );
$banner_link = dhor_get_option( 'banner_link' );

if( !empty( $banner_link ) ) {
	$button_link = esc_url( $banner_link );
}else{
	$button_link = '#';
}

$full_banner = dhor_get_option( 'full_banner' );
if( $full_banner === true ){
	$poster_class = 'poster alignfull';
}else {
	$poster_class = 'poster';
}

?>

<div id="hero" class="site-hero">
	<div class="container">
		<div class="<?php echo esc_attr( $poster_class ); ?>" style="background-image: url( <?php echo esc_url( $banner_image ); ?> );"></div>

		<?php if ( !empty( $banner_heading ) || !empty( $banner_content ) || !empty( $banner_button ) ): ?>
			<div class="hero-content">
				<?php if( !empty( $banner_heading ) ): ?>
					<h2 class="hero-heading"><?php echo esc_html( $banner_heading ); ?></h2>
				<?php endif; ?>

				<?php if( !empty( $banner_content ) ): ?>
					<p class="hero-content"><?php echo wp_kses_post( $banner_content ); ?></p>
				<?php endif; ?>

				<?php if( !empty( $banner_button ) ): ?>
					<a href="<?php echo $button_link; ?>" class="button button-hero"><?php echo esc_html( $banner_button ); ?></a>
				<?php endif; ?>
			</div>
		<?php endif; ?>
	</div>
</div>
